Package org.eclipse.emf.cdo.lm.reviews.impl

# Class ReviewStatemachine.Client<REVIEW extends Review>

java.lang.Object
org.eclipse.net4j.util.event.Notifier
org.eclipse.net4j.util.lifecycle.Lifecycle
org.eclipse.net4j.util.fsm.FiniteStateMachine<ReviewStatus,ReviewStatemachine.ReviewEvent,REVIEW>
org.eclipse.emf.cdo.lm.reviews.impl.ReviewStatemachine<REVIEW>
org.eclipse.emf.cdo.lm.reviews.impl.ReviewStatemachine.Client<REVIEW>

All Implemented Interfaces:
  `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.event.INotifier.INotifier2`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

Enclosing class:
  ReviewStatemachine<REVIEW extends Review>

public abstract static class ReviewStatemachine.Client<REVIEW extends Review> extends ReviewStatemachine<REVIEW>

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.cdo.lm.reviews.impl.ReviewStatemachine

`ReviewStatemachine.Client<REVIEW extends Review>, ReviewStatemachine.MergeFromSourceResult, ReviewStatemachine.RebaseToTargetResult, ReviewStatemachine.ReviewEvent, ReviewStatemachine.Server<REVIEW extends Review>`

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.fsm.FiniteStateMachine

`org.eclipse.net4j.util.fsm.FiniteStateMachine.ChangeStateTransition, org.eclipse.net4j.util.fsm.FiniteStateMachine.FailTransition, org.eclipse.net4j.util.fsm.FiniteStateMachine.IgnoreTransition, org.eclipse.net4j.util.fsm.FiniteStateMachine.StateChangedEvent`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

### Fields inherited from class org.eclipse.emf.cdo.lm.reviews.impl.ReviewStatemachine

`PROP_SUBMITTING`

### Fields inherited from class org.eclipse.net4j.util.fsm.FiniteStateMachine

`FAIL, IGNORE`

### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`USE_LABEL`

## Constructor Summary

Constructors
Constructor
Description
`Client(boolean dropReviews)`

## Method Summary

Modifier and Type
Method
Description
`protected final void`
`handleCommitInSource(REVIEW review)`
`protected final void`
`handleCommitInTarget(REVIEW review)`
`protected final ReviewStatus`
`handleRestoreFinish(REVIEW review)`

### Methods inherited from class org.eclipse.emf.cdo.lm.reviews.impl.ReviewStatemachine

`getState, handleAbandon, handleDelete, handleMergeFromSource, handleRebaseToTarget, handleRestore, handleSubmit, modify, setCommitComment, setState`

### Methods inherited from class org.eclipse.net4j.util.fsm.FiniteStateMachine

`changeState, createFailTransition, createIgnoreTransition, dump, formatFailMessage, formatIgnoreMessage, formatProcessMessage, getEvents, getStates, getTransition, init, init, initAll, initAll, initEvents, initEvents, initStates, initStates, process`

### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doActivate, doAfterActivate, doBeforeActivate, doBeforeDeactivate, doDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

### Methods inherited from class org.eclipse.net4j.util.event.Notifier

`addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Constructor Details

### Client

public Client(boolean dropReviews)

## Method Details

### handleCommitInSource

protected final void handleCommitInSource(REVIEW review)

Specified by:
  `handleCommitInSource` in class `ReviewStatemachine<REVIEW extends Review>`

### handleCommitInTarget

protected final void handleCommitInTarget(REVIEW review)

Specified by:
  `handleCommitInTarget` in class `ReviewStatemachine<REVIEW extends Review>`

### handleRestoreFinish

protected final ReviewStatus handleRestoreFinish(REVIEW review)

Specified by:
  `handleRestoreFinish` in class `ReviewStatemachine<REVIEW extends Review>`